# canBypassConvert method

bool canBypassConvert(

1. Class? sourceType,
2. Class targetType

)

Return whether conversion between the source type and the target type can be bypassed. More precisely, this method will return true if objects of sourceType can be converted to the target type by returning the source object unchanged.

-- Parameters -- @param sourceType context about the source type to convert from @param targetType context about the target type to convert to (required)

-- Returns -- @return true if conversion can be bypassed; false otherwise

## Implementation

    bool canBypassConvert(Class? sourceType, Class targetType) {
      if (sourceType == null) return true;
      return _getConverter(sourceType, targetType) == _NO_OP_CONVERTER;
    }